update nette po upgrade php z 5.6 na 7.3

ikoon
Člen | 39
+
0
-

Zdravim

Upgradol som php z 5.6 na 7.3 a rad by som upgradol aj nette (2.4).
V composer.json som prepisal config=>platform=>php z 5.6 na 7.3 a dal composer update, ono to zbehlo a funguje to.
Je to spravny postup? Nic ine (require ani nic) som nemenil.

chemix
Nette Core | 1220
+
0
-

Takhle by to melo fungovat :) a kdyz si vypises aktualni verze tak dostanes jake?

ikoon
Člen | 39
+
0
-

chemix napsal(a):
Takhle by to melo fungovat :) a kdyz si vypises aktualni verze tak dostanes jake?

a ako sa to vypisuje?

Editoval ikoon (25. 11. 20:19)

chemix
Nette Core | 1220
+
0
-

@ikoon composer show

ikoon
Člen | 39
+
0
-

chemix napsal(a):

@ikoon composer show

kdyby/strict-objects          v1.0.0  Simple trait to make your class stric...
kdyby/translation             v2.6.1  Integration of Symfony/Translation in...
latte/latte                   v2.10.5 ☕ Latte: the intuitive and fast tem...
nette/application             v2.4.17 🏆 Nette Application: a full-stack ...
nette/bootstrap               v2.4.6  ? Nette Bootstrap: the simple way to ...
nette/caching                 v2.5.9  ⏱ Nette Caching: library with easy-...
nette/component-model         v2.4.0  ⚛ Nette Component Model
nette/database                v2.4.11 💾 Nette Database: layer with a fam...
nette/di                      v2.4.17 💎 Nette Dependency Injection Conta...
nette/finder                  v2.5.2  🔍 Nette Finder: find files and dir...
nette/forms                   v2.4.11 ?? Nette Forms: generating, validatin...
nette/http                    v2.4.12 🌐 Nette Http: abstraction for HTTP...
nette/mail                    v2.4.6  ? Nette Mail: handy email creation an...
nette/neon                    v2.4.3  ? Nette NEON: encodes and decodes NEO...
nette/php-generator           v3.4.1  🐘 Nette PHP Generator: generates n...
nette/reflection              v2.4.2  Nette Reflection: docblock annotation...
nette/robot-loader            v3.1.3  🍀 Nette RobotLoader: high performa...
nette/security                v2.4.4  ? Nette Security: provides authentica...
nette/tester                  v2.4.1  Nette Tester: enjoyable unit testing ...
nette/utils                   v2.5.7  🛠 Nette Utils: lightweight utiliti...
psr/log                       1.1.4   Common interface for logging libraries
symfony/config                v4.4.34 Helps you find, load, combine, autofi...
symfony/filesystem            v5.3.4  Provides basic utilities for the file...
symfony/polyfill-ctype        v1.23.0 Symfony polyfill for ctype functions
symfony/polyfill-mbstring     v1.23.1 Symfony polyfill for the Mbstring ext...
symfony/polyfill-php80        v1.23.1 Symfony polyfill backporting some PHP...
symfony/polyfill-php81        v1.23.0 Symfony polyfill backporting some PHP...
symfony/translation           v4.4.34 Provides tools to internationalize yo...
symfony/translation-contracts v2.5.0  Generic abstractions related to trans...
tracy/tracy                   v2.6.8  😎 Tracy: the addictive tool to eas...

Dakujem, este ako to upgradnem na nette 3.0 a viac? Z tych balikov neviem ktore potrebujem, nette/forms urcite, kdyby/translation a lette, ostatne neviem.

David Grudl
Nette Core | 7568
+
0
-

Stáhni tohle a spusť. Zaktualizuje to Composer.json

Akorát ty Kdyby balíčky nejspíš věští problém.